CREATE TABLE IF NOT EXISTS `BattlelogCache` (
  `personaId` varchar(50) COLLATE utf8_bin NOT NULL,
  `playerName` varchar(32) COLLATE utf8_bin NOT NULL,
  `clanTag` varchar(8) COLLATE utf8_bin DEFAULT NULL,
  `overviewStats` longtext COLLATE utf8_bin,
  `weaponStats` longtext COLLATE utf8_bin,
  `vehicleStats` longtext COLLATE utf8_bin,
  `generalStatus` text COLLATE utf8_bin,
  `overviewStatsError` text COLLATE utf8_bin,
  `weaponStatsError` text COLLATE utf8_bin,
  `vehicleStatsError` text COLLATE utf8_bin,
  `timestampOverview` timestamp NULL DEFAULT NULL,
  `timestampWeapon` timestamp NULL DEFAULT NULL,
  `timestampVehicle` timestamp NULL DEFAULT NULL,
  `timestampClanTag` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`personaId`),
  UNIQUE KEY `playerName` (`playerName`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;